%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018-2019  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Include_Flag = Check_BDF_Include(Work_Directory, Input_BDF_name)

global ErrCode;

Include_Flag = 0;

% Полный путь к bdf файлу
BDF_File_Path = [Work_Directory '\' Input_BDF_name '.bdf'];

% Открытие файла
Fin = fopen(BDF_File_Path, 'r');

if (Fin < 0)
    fprintf (1, '\nНе удалось открыть файл [%s] !\n', BDF_File_Path);
    ErrCode = -1;
    return;
end

Check_Empty_File = 1;

while (~feof(Fin))
    
    string = fgets(Fin);
    
    % Случай пустого файла
    if (Check_Empty_File == 1)
        if (isnumeric(string))
            break;
        else
            Check_Empty_File = 0;
        end
    end
    
    string = strtrim(string);
    
    if (isempty(string))
        continue;
    end
    
    % Поиск команды INCLUDE
    if ((string(1) == 'I') || (string(1) == 'i'))
        if ((length(string) >= 4) && strcmpi(string(2:4), 'NCL'))
            
            temp_cell_array = strsplit(string, {' ', '\t', ''''});
            
            switch upper(temp_cell_array{1})
                case {'INCLUDE', 'INCLUD', 'INCLU', 'INCL'}
                    Include_Flag = 1;
                    break;
                otherwise
                    fprintf (1, '\nОшибка функции Check_BDF_Include: неизвестная команда в bdf файле [%s] !\n', temp_cell_array{1});
                    fprintf (1, 'Внесите исправления в bdf файл или обратитесь к разработчику для решения этого вопроса.\n');
                    ErrCode = -1;
                    fclose(Fin);
                    return;
            end
            
        end
    end
    
end

% Закрытие файла
fclose(Fin);

% Пауза для закрытия файла операционной системой
pause(0.3);
